--- old/usr/src/uts/common/sys/prsystm.h	Thu Dec  5 11:53:02 2019
+++ new/usr/src/uts/common/sys/prsystm.h	Thu Dec  5 11:53:02 2019
@@ -29,6 +29,7 @@
 
 /*
  * Copyright (c) 2013, Joyent, Inc. All rights reserved.
+ * Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
  */
 
 #ifndef _SYS_PRSYSTM_H
@@ -54,6 +55,7 @@
 struct prcred;
 struct prpriv;
 struct prsecflags;
+struct prfdinfov2;
 
 struct seg;
 struct regs;
@@ -77,16 +79,14 @@
 extern void prgetprfpregs(klwp_t *, struct prfpregset *);
 extern void prgetprxregs(klwp_t *, caddr_t);
 extern int  prgetprxregsize(proc_t *);
-#if defined(__lint)
-/* Work around lint confusion between old and new prcred definitions */
-extern void prgetcred();
-#else
 extern void prgetcred(proc_t *, struct prcred *);
-#endif
 extern void prgetpriv(proc_t *, struct prpriv *);
 extern size_t prgetprivsize(void);
 extern void prgetsecflags(proc_t *, struct prsecflags *);
 extern int  prnsegs(struct as *, int);
+extern u_offset_t prgetfdinfosize(proc_t *, vnode_t *, cred_t *);
+extern int prgetfdinfo(proc_t *, vnode_t *, struct prfdinfov2 *, cred_t *,
+    list_t *);
 extern void prexit(proc_t *);
 extern void prfree(proc_t *);
 extern void prlwpexit(kthread_t *);
